"""This list of stop words has been moved over from the now-defunct
Latin_and_Ancient_Greek_for_NLTK
[https://github.com/kylepjohnson/Latin_and_Ancient_Greek_for_NLTK/
tree/master/stop].

Its original source was the Perseus Hopper source
[http://sourceforge.net/projects/perseus-hopper], found at
"/sgml/reading/build/stoplists", though this only contained acute accents on
the ultima. There has thus been added grave accents to the ultima of each.

Perseus source is made available under the Mozilla Public License 1.1
(MPL 1.1) [http://www.mozilla.org/MPL/1.1/].

TODO:
 - Add alternate versions of these words to the list, such as 'ἐξ' for 'ἐκ'.
 - Eventually, an entirely new list of stopwords should be generated from the
 TLG corpus, including the most frequently found words in the entire Ancient
 Greek canon, as well as more specific lists according to date, genre, etc..
"""

__author__ = 'Kyle P. Johnson <kyle@kyle-p-johnson.com>'
__license__ = 'GPL License.'

STOPS_LIST = ['αὐτὸς',
              'αὐτός',
              'γε',
              'γὰρ',
              'γάρ',
              "δ'",
              'δαὶ',
              'δαὶς',
              'δαί',
              'δαίς',
              'διὰ',
              'διά',
              'δὲ',
              'δέ',
              'δὴ',
              'δή',
              'εἰ',
              'εἰμὶ',
              'εἰμί',
              'εἰς',
              'εἴμι',
              'κατὰ',
              'κατά',
              'καὶ',
              'καί',
              'μετὰ',
              'μετά',
              'μὲν',
              'μέν',
              'μὴ',
              'μή',
              'οἱ',
              'οὐ',
              'οὐδεὶς',
              'οὐδείς',
              'οὐδὲ',
              'οὐδέ',
              'οὐκ',
              'οὔτε',
              'οὕτως',
              'οὖν',
              'οὗτος',
              'παρὰ',
              'παρά',
              'περὶ',
              'περί',
              'πρὸς',
              'πρός',
              'σὸς',
              'σός',
              'σὺ',
              'σὺν',
              'σύ',
              'σύν',
              'τε',
              'τι',
              'τις',
              'τοιοῦτος',
              'τοὶ',
              'τοί',
              'τοὺς',
              'τούς',
              'τοῦ',
              'τὰ',
              'τά',
              'τὴν',
              'τήν',
              'τὶ',
              'τὶς',
              'τί',
              'τίς',
              'τὸ',
              'τὸν',
              'τό',
              'τόν',
              'τῆς',
              'τῇ',
              'τῶν',
              'τῷ',
              "ἀλλ'",
              'ἀλλὰ',
              'ἀλλά',
              'ἀπὸ',
              'ἀπό',
              'ἂν',
              'ἄλλος',
              'ἄν',
              'ἄρα',
              'ἐγὼ',
              'ἐγώ',
              'ἐκ',
              'ἐμὸς',
              'ἐμός',
              'ἐν',
              'ἐπὶ',
              'ἐπί',
              'ἐὰν',
              'ἐάν',
              'ἑαυτοῦ',
              'ἔτι',
              'ἡ',
              'ἢ',
              'ἤ',
              'ὁ',
              'ὃδε',
              'ὃς',
              'ὅδε',
              'ὅς',
              'ὅστις',
              'ὅτι',
              'ὑμὸς',
              'ὑμός',
              'ὑπὲρ',
              'ὑπέρ',
              'ὑπὸ',
              'ὑπό',
              'ὡς',
              'ὥστε',
              'ὦ']
